<template>
    <div ref="app" id="app" class="relative h-100">
        <navbar />
        
        <div class="app-container">
            <sidebar />

            <div class="two-column-grid"> 
                <messages />
       
                <email />
            </div>
        </div>

        <button @click="$refs.app.className = $refs.app.className == 'dark-mode' ? 'light-mode' : 'dark-mode'">
            DM
        </button>
    </div>
</template>

<script>

export default {}

</script>

<style scoped>

button {
    background-color: #131417;
    color: white;
    border: 1px solid transparent;
    border-radius: 50%;
    padding: 20px;
    position: absolute;
    bottom: 30px;
    left: 30px;
}

button:hover {
    background-color: white;
    color: #131417;
    border: 1px solid #131417;
    cursor: pointer;

}

</style>